import { h } from "@stencil/core";
import Spinner from "../spinner";
import { tableCell } from "../../styles/parts";
export const TableLoadingState = (props) => {
    const { columnSpan, isLoading } = props;
    if (!columnSpan || !isLoading) {
        return null;
    }
    return (h("tr", null, h("td", { class: "loading-state", part: tableCell, colSpan: columnSpan, style: { textAlign: 'center' } }, h(Spinner, null))));
};
